# Uses of Class
org.apache.lucene.codecs.PostingsFormat

Packages that use PostingsFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.

- ## Uses of PostingsFormat in org.apache.lucene.codecs

  Fields in org.apache.lucene.codecs declared as PostingsFormat
  Modifier and Type
  Field
  Description
  `static final PostingsFormat[]`
  PostingsFormat.`EMPTY`
  Zero-length `PostingsFormat` array.
  Methods in org.apache.lucene.codecs that return PostingsFormat
  Modifier and Type
  Method
  Description
  `static PostingsFormat`
  PostingsFormat.`forName(String name)`
  looks up a format by name
  `abstract PostingsFormat`
  Codec.`postingsFormat()`
  Encodes/decodes postings
  `PostingsFormat`
  FilterCodec.`postingsFormat()`

- ## Uses of PostingsFormat in org.apache.lucene.codecs.lucene103

  Subclasses of PostingsFormat in org.apache.lucene.codecs.lucene103
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene103PostingsFormat`
  Lucene 10.3 postings format, which encodes postings in packed integer blocks for fast decode.
  Methods in org.apache.lucene.codecs.lucene103 that return PostingsFormat
  Modifier and Type
  Method
  Description
  `PostingsFormat`
  Lucene103Codec.`getPostingsFormatForField(String field)`
  Returns the postings format that should be used for writing new segments of `field`.
  `final PostingsFormat`
  Lucene103Codec.`postingsFormat()`

- ## Uses of PostingsFormat in org.apache.lucene.codecs.perfield

  Subclasses of PostingsFormat in org.apache.lucene.codecs.perfield
  Modifier and Type
  Class
  Description
  `class`
  `PerFieldPostingsFormat`
  Enables per field postings support.
  Methods in org.apache.lucene.codecs.perfield that return PostingsFormat
  Modifier and Type
  Method
  Description
  `abstract PostingsFormat`
  PerFieldPostingsFormat.`getPostingsFormatForField(String field)`
  Returns the postings format that should be used for writing new segments of `field`.